/********************************************************
 * Change -- given a amount < $1.00 turn it into 	*
 *	change.  					*
 *							*
 * Programming Problem: 6-4				*
 *							*
 * Usage:						*
 *	Run the program					*
 *	Type in the amount				*
 *	Get change.					*
 *							*
 * Note: This program works for US coins only:		*
 *	25, 10, 5, 1 cents.				*
 *							*
 ********************************************************/
#include <iostream.h>

int amount;	// Amount left (in cents)

// Coins we are looking for.  
// Must end with 0 as that's a marker for the end
int coins[] = {25, 10, 5, 1, 0};

// The names of each coin (plural)
// Note: The size of the array must Bert one larger than the longest name
char coin_names[][9] = {
//  12345678
   "Quarters",		// 25
   "Dimes",		// 10
   "Nickels",		// 5
   "Pennies",		// 1
   "Illegal"		// 0
};

int current_coins;	// Number of coins for current value
int coin_index;		// Index into the coin array

main()
{
    cout << "Enter amount (in cents, no decimal point): ";
    cin >> amount;

    if (amount > 100) {
	cout << "That's not under a dollar\n";
    } else {

	cout << amount << " as change is:\n";
	coin_index = 0;

	while (coins[coin_index] != 0) {
	    // Compute number of coins for this value
	    current_coins = amount / coins[coin_index];

	    if (current_coins != 0) 
		cout << current_coins << ' ' << 
			coin_names[coin_index] << '\n';

	    // Get the remaining money
	    amount %= coins[coin_index];
	    coin_index++;
	}
    }
    return (0);
}



