/********************************************************
 * words -- convert a number (up to 4 digits) to words	*
 *	Example: 893 -> eight nine three.		*
 *							*
 * Programming problem: 8-6				*
 *							*
 * Usage:						*
 *	Run the program					*
 *	type in number					*
 *	get the answer.					*
 *							*
 * Warning:						*
 *	We do not check for illegal numbers.		*
 ********************************************************/
#include <iostream.h>

int number;	// Number to check
int digit_value;// Digit we are working on (1000, 100, 10, 1)
int digit;	// Digit we are checking

int digit_out;	// Flag indicating we've output a digit
		// We'd use the bool type but not every compiler 
		// has it yet.

main()
{
    cout << "Enter a number: ";
    cin >> number;

    digit_out = 0;
    for (digit_value = 10000; digit_value > 0; digit_value /= 10) {
	digit = number / digit_value;
	if ((digit != 0) || (digit_out != 0) || (digit_value == 1)) {
	    switch (digit) {
		case 0:
		    cout << "zero ";
		    break;
		case 1:
		    cout << "one ";
		    break;
		case 2:
		    cout << "two ";
		    break;
		case 3:
		    cout << "three ";
		    break;
		case 4:
		    cout << "four ";
		    break;
		case 5:
		    cout << "five ";
		    break;
		case 6:
		    cout << "six ";
		    break;
		case 7:
		    cout << "seven ";
		    break;
		case 8:
		    cout << "eight ";
		    break;
		case 9:
		    cout << "nine ";
		    break;
		default:
		    cout << "Internal error, impossible digit ";
		    break;
	    }
	    digit_out = 1;	// We've seen a digit
	}
	number = number % digit_value;
    }
    cout << '\n';
    return (0);
}

