/* 
 * The test data for our cursor program.
 *
 * Normally this data would be stored in a file and read in 
 * to a sophisticated data structure, but we haven't gotten
 * that far in the book.
 */

char text[] = {
    "\n"
    "The Ten Commandments for C++ Programmers\n"
    "\n"
    "By Phin Straite\n"
    "\n"
    "1.      Thou shalt not rely on the compiler default methods for\n"
    "	construction, destruction, copy construction, or assignment for\n"
    "	any but the simplest of classes. Thou shalt forge these \"big\n"
    "	four\" methods for any non-trivial class.\n"
    "\n"
    "2.      Thou shalt declare and define thy destructor as virtual such\n"
    "	that others may become heir to the fruits of your labors.\n"
    "\n"
    "3.      Thou shalt not violate the \"is-a\" rule by abusing the\n"
    "	inheritance mechanism for thine own twisted perversions.\n"
    "\n"
    "4.      Thou shalt not rely on any implementation-dependent behavior of\n"
    "	a compiler, operating system, nor hardware environment, lest\n"
    "	your code be forever caged within that dungeon.\n"
    "\n"
    "5.      Thou shalt not augment the interface of a class at the lowest\n"
    "	level without most prudent deliberation. Such ill-begotten\n"
    "	practices imprison thy clients unjustly into your classes, and\n"
    "	foment unrest when code maintenance and extension are\n"
    "	required.\n"
    "\n"
    "6.      Thou shalt restrict thy friendship to truly worthy\n"
    "	contemporaries. Beware, for thou art exposing thyself rudely as\n"
    "	from a trench coat.\n"
    "\n"
    "7.      Thou shalt not abuse your implementation data by making it\n"
    "	public or static except in the rarest of circumstances. Thy\n"
    "	data are thine own; share it not with others.\n"
    "\n"
    "8.      Thou shalt not suffer dangling pointers or references to be\n"
    "	harbored within your objects. These are nefarious and\n"
    "	precarious agents of random and wanton destruction.\n"
    "\n"
    "9.      Thou shalt make use of available class libraries as\n"
    "	conscientiously as possible. Code reuse, not just thine own but\n"
    "	that of your clients as well, is the holy grail of OO.\n"
    "\n"
    "10.     Thou shalt forever forswear the use of the vile printf/scanf,\n"
    "	rather favoring the flowing streams. Cast off thy vile C cloak\n"
    "	and partake of the wondrous fruit of flexible and extensible\n"
    "	I/O.\n"
};
