/********************************************************
 * numb -- number class demonstration			*
 *							*
 * Programming Problem: 21-5.				*
 ********************************************************/
#include <iostream.h>
#include <iomanip.h>

class number {
    public:
        int value;	// Value of the number

	number(void) {
	    value = 0;
	}
	number(const int i_value) {
	    value = i_value;
	}
	// Destructor defaults
	// Copy constructor defaults
	// Assignment operator defaults

	virtual void print_it(void) = 0;
};
class hex_number : public number {
    public:
        hex_number(const int i_value):number(i_value) {}
	// Destructor defaults
	// Copy constructor defaults
	// Assignment operator defaults

	void print_it(void) {
	    cout << hex << value;
	}
};
    
class dec_number : public number {
    public:
        dec_number(const int i_value):number(i_value) {}
	// Destructor defaults
	// Copy constructor defaults
	// Assignment operator defaults

	void print_it(void) {
	    cout << dec << value;
	}
};
    
class oct_number : public number {
    public:
        oct_number(const int i_value):number(i_value) {}
	// Destructor defaults
	// Copy constructor defaults
	// Assignment operator defaults

	void print_it(void) {
	    cout << oct << value;
	}
};

void print(
    number &a_number
) {
    a_number.print_it();
    cout << '\n';
}
main()
{
    hex_number h_number(255);
    dec_number d_number(255);
    oct_number o_number(255);

    
    print(h_number);
    print(d_number);
    print(o_number);
    return (0);
}
