/********************************************************
 * string -- string matching classes			*
 *							*
 * Programming Problem: 21-2				*
 ********************************************************/
#include <iostream.h>
#include <ctype.h>

class string_matcher {
    public:
        virtual int match(const char *const string) = 0;

        // Constructor defaults
	// Destructor defaults
	// Copy constructor defaults
	// Assignment operator defaults
};
class letter_matcher : public string_matcher {
    public:
        int match(const char *const string) {
	    int i;	// Index into the string

	    for (i = 0; string[i] != '\0'; ++i) {
	       if (!isalpha(string[i])) 
	           return (0);
	    }
	    return (1);
	}
};
class digit_matcher : public string_matcher {
    public:
        int match(const char *const string) {
	    int i;	// Index into the string

	    for (i = 0; string[i] != '\0'; ++i) {
	       if (!isdigit(string[i])) 
	           return (0);
	    }
	    return (1);
	}
};

main()
{
    letter_matcher a_letter;
    digit_matcher a_digit;

    cout << "Digits #1 " << a_digit.match("184375") << '\n';
    cout << "Digits #2 " << a_digit.match("18AC75") << '\n';

    cout << "Letters #1 " << a_letter.match("ABCDfghig") << '\n';
    cout << "Letters #2 " << a_letter.match("ABCDfg8ig") << '\n';
    return (0);
}
